## lightspark 0.4.6.1

=== CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************


CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# Name & Version
PROJECT(LIGHTSPARK)
SET(MAJOR_VERSION "0")
SET(MINOR_VERSION "4")
SET(PATCH_VERSION "6")
SET(SUBPATCH_VERSION "1")

IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
	SET(GIT_VERSION "-git")
ELSE(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
	SET(GIT_VERSION "")
ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")

ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}${GIT_VERSION}")
ADD_DEFINITIONS(-DSHORTVERSION="${MINOR_VERSION}${PATCH_VERSION}${SUBPATCH_VERSION}")

# GCC 4.4+ is required, GCC_VERSION macro taken from GCC manual
INCLUDE(CheckCSourceCompiles)
IF(CMAKE_COMPILER_IS_GNUCC)
   CHECK_C_SOURCE_COMPILES("
   #define GCC_VERSION (__GNUC__ * 10000 + __GNUC_MINOR__ * 100 + __GNUC_PATCHLEVEL__)
   #if GCC_VERSION < 40400
   #error
   #endif
   int main() { return 0; }" GCC_IS_4_4)
   IF(NOT GCC_IS_4_4)
	  MESSAGE(FATAL_ERROR "GCC 4.4+ is required.")
   ENDIF(NOT GCC_IS_4_4)
ENDIF(CMAKE_COMPILER_IS_GNUCC)

# Find put the path of the gnash executable, if available
FIND_PROGRAM(GNASH_EXE_PATH NAMES gnash)

IF(GNASH_EXE_PATH)
	MESSAGE(STATUS "Found gnash path: ${GNASH_EXE_PATH}")
ELSE(GNASH_EXE_PATH)
# Set a default path
	MESSAGE(STATUS "Gnash not found")
	SET(GNASH_EXE_PATH "/usr/bin/gnash")
ENDIF(GNASH_EXE_PATH)

# Find out CPU architecture ...
# we could also use IF(CMAKE_SIZEOF_VOID_P EQUAL 4) to determine if it's a 32 or a 64bit arch
#
# Setting the value of LIB_SUFFIX if not specified (We could build 32bit version on 64bit)
# However, some distro don't implement FHS the same way
# Suse, Redhat put 64bit libs in /lib64; Debian use /lib for 64bit, but specifies /lib32 for 32bit libs
# See FHS 2.3 for Lib directories under each architecture 

# Some directory shortcuts
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/conf)
# If we're gcc, then use nasm to get fastpath.  If MSVC, just use inline asm to get around
# CMake issues 
IF(CMAKE_COMPILER_IS_GNUCC)
   INCLUDE(CMakeASM-NASMCompiler)
ENDIF(CMAKE_COMPILER_IS_GNUCC)
IF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86$|^x86$")
	SET(i386 1)
	SET(LIB_SUFFIX "" CACHE STRING "Choose the suffix of the lib folder (if any) : None 32")
	# nasm for assembly optimizations
	IF(CMAKE_COMPILER_IS_GNUCC)
	   ENABLE_LANGUAGE(ASM-NASM)        
	ENDIF(CMAKE_COMPILER_IS_GNUCC)
ELSEIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^x86_64$|^amd64$")
	SET(x86_64 1)
	SET(LIB_SUFFIX "" CACHE STRING "Choose the suffix of the lib folder (if any) : None 64")
	# nasm for assembly optimizations
	IF(CMAKE_COMPILER_IS_GNUCC)
	  ENABLE_LANGUAGE(ASM-NASM)
	ENDIF(CMAKE_COMPILER_IS_GNUCC)
ELSEIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "ppc")
	SET(ppc 1)
	SET(LIB_SUFFIX "" CACHE STRING "Choose the suffix of the lib folder (if any) : None ppc")
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -maltivec -D__STDC_CONSTANT_MACROS -fPIC")
ELSEIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm")
	SET(arm 1)
	SET(LIB_SUFFIX "" CACHE STRING "Choose the suffix of the lib folder (if any) : None arm")
ELSE(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86$|^x86$")
	MESSAGE(SEND_ERROR "Platform ${CMAKE_SYSTEM_PROCESSOR} not supported")
ENDIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86$|^x86$")

# Using relative folders, cmake happens by itself CMAKE_INSTALL_PREFIX
IF(UNIX)
	 SET(ETCDIR "/etc") #Using absolute folder
   SET(BINDIR "bin")
   SET(DATADIR "${CMAKE_INSTALL_PREFIX}/share")
   SET(LIBDIR "lib${LIB_SUFFIX}")
   SET(PRIVATELIBDIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lightspark")
   SET(CMAKE_INSTALL_RPATH "${PRIVATELIBDIR}")
ENDIF(UNIX)

# Setting variables
SET(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Install prefix, default is /usr/local (UNIX) and C:\\Program Files (Windows)")
SET(COMPILE_LIGHTSPARK TRUE CACHE BOOL "Compile Lightspark?")
SET(COMPILE_TIGHTSPARK TRUE CACHE BOOL "Compile Tightspark?")
SET(COMPILE_PLUGIN FALSE CACHE BOOL "Compile the browser plugin?")
SET(ENABLE_CURL TRUE CACHE BOOL "Enable CURL? (Required for Downloader functionality)")
SET(ENABLE_LIBAVCODEC TRUE CACHE BOOL "Enable libavcodec and dependent functionality?")
SET(ENABLE_RTMP FALSE CACHE BOOL "Enable librtmp and dependent functionality?")
SET(ENABLE_PROFILING FALSE CACHE BOOL "Enable profiling support? (Causes performance issues)")
SET(PLUGIN_DIRECTORY "${LIBDIR}/mozilla/plugins" CACHE STRING "Directory to install Firefox plugin to")
IF(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
		"Choose the type of build, options are: Debug Release RelWithDebInfo Profile" FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# The library is searched in its private library directory
SET(CMAKE_SKIP_BUILD_RPATH FALSE)
SET(PRIVATELIBDIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lightspark")
SET(CMAKE_INSTALL_RPATH "${PRIVATELIBDIR}")

# Libraries we need
INCLUDE(FindGettext REQUIRED)
INCLUDE(FindLLVM REQUIRED)
IF(${LLVM_STRING_VERSION} VERSION_LESS 2.9)
	ADD_DEFINITIONS(-DLLVM_28)
ENDIF(${LLVM_STRING_VERSION} VERSION_LESS 2.9)
INCLUDE(FindSDL REQUIRED)
INCLUDE(FindZLIB REQUIRED)
INCLUDE(FindFreetype REQUIRED)
INCLUDE(FindOpenGL REQUIRED)
INCLUDE(FindPCRE REQUIRED)
INCLUDE(FindFTGL REQUIRED)
INCLUDE(FindGLEW REQUIRED)
IF(UNIX)
  INCLUDE(FindPkgConfig REQUIRED)
	pkg_check_modules(XMLPP REQUIRED libxml++-2.6>=2.33.1)
ENDIF(UNIX)

if(WIN32)
  INCLUDE(FindPThreads REQUIRED)
ELSE(WIN32)
  INCLUDE(FindThreads REQUIRED)
ENDIF(WIN32)

find_package(Boost COMPONENTS filesystem system REQUIRED)
if(Boost_FOUND)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
ENDIF(Boost_FOUND) 
IF(UNIX)
  INCLUDE(FindPkgConfig REQUIRED)
  pkg_check_modules(EXTRA_LIBS REQUIRED x11 fontconfig cairo)
ENDIF(UNIX)

IF(WIN32)
  INCLUDE(FindWin32Stdint REQUIRED)
  INCLUDE_DIRECTORIES(${STDINT_INCLUDE_DIRS})
  SET(EXTRA_LIBS_LIBRARIES ${EXTRA_LIBS_LIBRARIES} WS2_32.lib)
ENDIF(WIN32)

IF(UNIX)
  IF(AUDIO_BACKEND)
    ADD_DEFINITIONS(-DAUDIO_BACKEND="${AUDIO_BACKEND}")
  ENDIF(AUDIO_BACKEND)
ENDIF(UNIX)

IF(ENABLE_LIBAVCODEC)
	pkg_check_modules(FFMPEG libavcodec libavutil)
	IF(NOT(FFMPEG_FOUND))
		INCLUDE(FindFFMpeg REQUIRED)
	ENDIF(NOT(FFMPEG_FOUND))
	# Compatibility checks for ffmpeg deprecated functions
  INCLUDE(CheckFunctionExists REQUIRED)
  SET(CMAKE_REQUIRED_FLAGS ${LIBAVCODEC_CFLAGS})
  SET(CMAKE_REQUIRED_INCLUDES ${FFMPEG_INCLUDE_DIRS})
  SET(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES})
  CHECK_FUNCTION_EXISTS(avcodec_decode_video2 HAVE_AVCODEC_DECODE_VIDEO2)
  CHECK_FUNCTION_EXISTS(avcodec_decode_audio3 HAVE_AVCODEC_DECODE_AUDIO3)
  SET(CMAKE_REQUIRED_FLAGS)
  SET(CMAKE_REQUIRED_INCLUDES)
  SET(CMAKE_REQUIRED_LIBRARIES)
  IF(HAVE_AVCODEC_DECODE_VIDEO2)
    ADD_DEFINITIONS(-DHAVE_AVCODEC_DECODE_VIDEO2)
  ENDIF(HAVE_AVCODEC_DECODE_VIDEO2)
  IF(HAVE_AVCODEC_DECODE_AUDIO3)
    ADD_DEFINITIONS(-DHAVE_AVCODEC_DECODE_AUDIO3)
  ENDIF(HAVE_AVCODEC_DECODE_AUDIO3)
  ADD_DEFINITIONS(-DENABLE_LIBAVCODEC)
ENDIF(ENABLE_LIBAVCODEC)

INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${LLVM_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${Threads_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${PCRE_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${FTGL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${XMLPP_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${EXTRA_LIBS_INCLUDE_DIRS})

IF(ENABLE_LIBAVCODEC)
  INCLUDE_DIRECTORIES(${FFMPEG_INCLUDE_DIRS})
  SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${FFMPEG_LIBRARIES})
ENDIF(ENABLE_LIBAVCODEC)	

IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_EXE_LINKER_FLAGS "-Wl,--as-needed -Wl,--no-undefined ${CMAKE_EXE_LINKER_FLAGS}")
  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed,-z,noexecstack ${CMAKE_SHARED_LINKER_FLAGS}")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

LINK_DIRECTORIES(${LLVM_LIB_DIR})

IF(COMPILE_PLUGIN)
  pkg_check_modules(GTK REQUIRED gtk+-2.0)
  INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
  ADD_DEFINITIONS(-DMOZ_X11 -DCOMPILE_PLUGIN)
ENDIF(COMPILE_PLUGIN)

IF(ENABLE_CURL)
  INCLUDE(FindCURL REQUIRED)
  INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
  SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${CURL_LIBRARIES})
  ADD_DEFINITIONS(-DENABLE_CURL)
ENDIF(ENABLE_CURL)

IF(ENABLE_RTMP)
  pkg_check_modules(RTMP REQUIRED librtmp)
  SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${RTMP_LIBRARIES})
  ADD_DEFINITIONS(-DENABLE_RTMP)
ENDIF(ENABLE_RTMP)

IF(ENABLE_PROFILING)
  ADD_DEFINITIONS(-DPROFILING_SUPPORT)
ENDIF(ENABLE_PROFILING)

IF(ENABLE_DEBIAN_ALTERNATIVES)
  SET(PLUGIN_DIRECTORY ${PRIVATELIBDIR})
ENDIF(ENABLE_DEBIAN_ALTERNATIVES)

# Compiler defaults flags for different profiles
IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_CXX_FLAGS
	"${CMAKE_CXX_FLAGS} -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x -Wdisabled-optimization")
  SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG")
  SET(CMAKE_CXX_FLAGS_PROFILE "-g -pg -O2")
  SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")
  SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-g -O2 -DNDEBUG")
  SET(CMAKE_CXX_FLAGS_LEANDEBUG "-g -O2")
  ADD_DEFINITIONS(-DDATADIR="${DATADIR}/lightspark" -DGNASH_PATH="${GNASH_EXE_PATH}" -DPRIVATELIBDIR="${PRIVATELIBDIR}")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(MSVC)
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -DVPCOMPAT -DPTW32_STATIC_LIB -DPCRE_STATIC)
ENDIF(MSVC)

# Check if the system have atomic header ( gcc >= 4.6 )
INCLUDE (CheckIncludeFileCXX)
CHECK_INCLUDE_FILE_CXX (atomic HAVE_ATOMIC)
IF(HAVE_ATOMIC)
  ADD_DEFINITIONS(-DHAVE_ATOMIC)
ENDIF(HAVE_ATOMIC)

# Setting the output directories, so we can build all profiles without mixmatching
IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_SYSTEM_PROCESSOR}/${CMAKE_BUILD_TYPE}/bin")
  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_SYSTEM_PROCESSOR}/${CMAKE_BUILD_TYPE}/lib${LIB_SUFFIX}")
  #SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/objs/${CMAKE_SYSTEM_PROCESSOR}/${CMAKE_BUILD_TYPE}/lib${LIB_SUFFIX}" CACHE PATH "Static libraries output directory")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

# liblightspark.so sources
SET(LIBSPARK_SOURCES 
  asobject.cpp
  compat.cpp
  frame.cpp
  logger.cpp
  swf.cpp
  swftypes.cpp
  thread_pool.cpp
  threading.cpp
  timer.cpp
  backends/audio.cpp
  backends/config.cpp
  backends/decoder.cpp
  backends/extscriptobject.cpp
  backends/geometry.cpp
  backends/graphics.cpp
  backends/input.cpp
  backends/netutils.cpp
  backends/pluginmanager.cpp
  backends/rendering.cpp
  backends/rtmputils.cpp
  backends/security.cpp
  backends/urlutils.cpp
  parsing/amf3_generator.cpp
  parsing/amf3_parser.cpp
  parsing/config.cpp
  parsing/crossdomainpolicy.cpp
  parsing/flv.cpp
  parsing/streams.cpp
  parsing/tags.cpp
  parsing/tags_stub.cpp
  parsing/textfile.cpp
  scripting/abc.cpp
  scripting/abc_codesynt.cpp
  scripting/abc_interpreter.cpp
  scripting/abc_opcodes.cpp
  scripting/actions.cpp
  scripting/class.cpp
  scripting/flashdisplay.cpp
  scripting/flashevents.cpp

=== plugin/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

# Dependencies
INCLUDE_DIRECTORIES("include")
INCLUDE_DIRECTORIES("..")

pkg_check_modules(MOZ_PLUGIN REQUIRED nspr mozilla-plugin x11)
INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS} ${MOZ_PLUGIN_INCLUDE_DIRS})
ADD_DEFINITIONS(-DMOZ_X11 -DCOMPILE_PLUGIN)
IF(UNIX)
	ADD_DEFINITIONS(-DXP_UNIX)
ENDIF(UNIX)

# Firefox plugin target
ADD_LIBRARY(lightsparkplugin SHARED np_entry.cpp npn_gate.cpp npp_gate.cpp
	plugin.cpp npscriptobject.cpp)
TARGET_LINK_LIBRARIES(lightsparkplugin spark ${MOZ_PLUGIN_LIBRARIES} ${GTK_LIBRARIES})

IF(UNIX)
	INSTALL(TARGETS lightsparkplugin LIBRARY DESTINATION ${PLUGIN_DIRECTORY})
ENDIF(UNIX)

=== backends/interfaces/audio/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
#    Copyright (C) 2010  Alexandre Demers <papouta@hotmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

include_directories(".")
INCLUDE_DIRECTORIES("..")

IF(${AUDIO_BACKEND} MATCHES "pulse")
    add_subdirectory(pulse)
ENDIF(${AUDIO_BACKEND} MATCHES "pulse")
IF(${AUDIO_BACKEND} MATCHES "alsa")
    add_subdirectory(alsa)
ENDIF(${AUDIO_BACKEND} MATCHES "alsa")
IF(${AUDIO_BACKEND} MATCHES "openal")
    add_subdirectory(openal)
ENDIF(${AUDIO_BACKEND} MATCHES "openal")

=== debian/changelog ===
lightspark (0.4.6.1-1) experimental; urgency=low

  * New 0.4.6.1 upstream release.
  * Patches:
    - Remove armel.patch (included upstream).
    × Refresh hurd.patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Mar 2011 11:26:27 +0100

lightspark (0.4.6-1) experimental; urgency=low

  * New 0.4.6 upstream release.

  [ Luca Falavigna ]
  * debian/control:
    - Remove myself from Uploaders.

  [ Didier Raboud ]
  * Merge changes done in Ubuntu, thanks Jani!
  * Re-indent Build-Depends.
  * Add lintian override for empty mozilla/plugins directory.

  [ Jani Monoses ]
  * Build on armel:
    - debian/patches/armel.patch: Add arm target to CMakeLists.txt.
    - debian/control: Allow build on armel architecture.
  * Drop libffi-dev B-D.

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Mar 2011 13:48:10 +0100

lightspark (0.4.5.3-1) experimental; urgency=low

  * New upstream release.
    - Fix YouTube breakage

 -- Didier Raboud <odyx@debian.org>  Thu, 24 Feb 2011 12:05:07 +0100

lightspark (0.4.5.2-1) experimental; urgency=low

  * New upstream release
    - Fix YouTube breakage

  * Add new /etc/xdg/lightspark.conf file to -common.

 -- Didier Raboud <odyx@debian.org>  Fri, 11 Feb 2011 13:35:35 +0100

lightspark (0.4.5.1-2) experimental; urgency=low

  * Bump B-D on libxml++2.6-dev to >= 2.33.1 (see #605773)
  * Change my e-mail address to @d.o and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Fri, 07 Jan 2011 14:06:52 +0100

=== debian/control ===
Source: lightspark
Section: utils
Priority: optional
Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 7.0.50),
  cmake,
  nasm,
  llvm-2.7-dev (>= 2.7) | llvm-dev (>= 2.7),
  libcurl4-gnutls-dev,
  zlib1g-dev,
  libgl1-mesa-dev,
  libpcre3-dev,
  libavutil-dev,
  libftgl-dev,
  libx11-dev,
  libglu1-mesa-dev,
  fontconfig,
  libglew-dev,
  libboost-filesystem-dev,
  libboost-system-dev,
  libboost-regex-dev,
  libpulse-dev,
  libavcodec-dev,
  libgtk2.0-dev,
  libnspr4-dev,
  xulrunner-dev (>= 1.9.2),
  libsdl-dev,
  libxml++2.6-dev (>= 2.33.1),
  gnash-common
Standards-Version: 3.9.1
Homepage: http://lightspark.sf.net
Vcs-Git: git://git.debian.org/pkg-flash/lightspark.git
Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git

Package: lightspark
Architecture: any-i386 any-amd64 powerpc armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnash
Description: High-performance SWF player (experimental)
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.

Package: browser-plugin-lightspark
Architecture: any-i386 any-amd64 powerpc armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnash-common
Description: High-performance SWF player - Mozilla Plugin (experimental)
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the mozilla plugin.

Package: lightspark-common
Architecture: any-i386 any-amd64 powerpc armel
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
Recommends: pulseaudio
Description: High-performance SWF player - common data
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the common library and data.

Package: lightspark-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64 powerpc armel
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 lightspark (= ${binary:Version}) |
 browser-plugin-lightspark (= ${binary:Version}) |
 lightspark-common (= ${binary:Version})
Description: High-performance SWF player (experimental) - Debug symbols
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the debug symbols.

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
 https://launchpad.net/lightspark/+download http://launchpad.net/lightspark/.*/lightspark-([\d\.rc]*).tar.gz
# http://githubredir.debian.net/github/alexp-sssup/lightspark (.*).tar.gz

## lightspark 0.4.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
-SET(PATCH_VERSION "6")
+SET(PATCH_VERSION "7")
 SET(SUBPATCH_VERSION "1")
 
 IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
@@ -34,7 +34,12 @@
 	SET(GIT_VERSION "")
 ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
 
-ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}${GIT_VERSION}")
+IF(SUBPATCH_VERSION EQUAL "0")
+	ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}${GIT_VERSION}")
+ELSE(SUBPATCH_VERSION EQUAL "0")
+	ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}${GIT_VERSION}")
+ENDIF(SUBPATCH_VERSION EQUAL "0")
+
 ADD_DEFINITIONS(-DSHORTVERSION="${MINOR_VERSION}${PATCH_VERSION}${SUBPATCH_VERSION}")
 
 # GCC 4.4+ is required, GCC_VERSION macro taken from GCC manual
@@ -116,7 +121,7 @@
 SET(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Install prefix, default is /usr/local (UNIX) and C:\\Program Files (Windows)")
 SET(COMPILE_LIGHTSPARK TRUE CACHE BOOL "Compile Lightspark?")
 SET(COMPILE_TIGHTSPARK TRUE CACHE BOOL "Compile Tightspark?")
-SET(COMPILE_PLUGIN FALSE CACHE BOOL "Compile the browser plugin?")
+SET(COMPILE_PLUGIN TRUE CACHE BOOL "Compile the browser plugin?")
 SET(ENABLE_CURL TRUE CACHE BOOL "Enable CURL? (Required for Downloader functionality)")
 SET(ENABLE_LIBAVCODEC TRUE CACHE BOOL "Enable libavcodec and dependent functionality?")
 SET(ENABLE_RTMP FALSE CACHE BOOL "Enable librtmp and dependent functionality?")
@@ -316,10 +321,3 @@
   parsing/tags_stub.cpp
   parsing/textfile.cpp
   scripting/abc.cpp
-  scripting/abc_codesynt.cpp
-  scripting/abc_interpreter.cpp
-  scripting/abc_opcodes.cpp
-  scripting/actions.cpp
-  scripting/class.cpp
-  scripting/flashdisplay.cpp
-  scripting/flashevents.cpp

=== backends/interfaces/audio/pulse/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
#    Copyright (C) 2010  Alexandre Demers <papouta@hotmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

## Compiler defaults flags for different profiles
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x")
#
#SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG")
#SET(CMAKE_CXX_FLAGS_PROFILE "-g -pg -O2")
#SET(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
#SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-g -O2 -DNDEBUG")
#SET(CMAKE_CXX_FLAGS_DEBIAN "-O2 -DNDEBUG")
#SET(CMAKE_CXX_FLAGS_LEANDEBUG "-g -O2")

INCLUDE_DIRECTORIES(".")
INCLUDE_DIRECTORIES("..")

pkg_check_modules(PULSE_LIBS REQUIRED libpulse)
INCLUDE_DIRECTORIES(${PULSE_LIBS_INCLUDE_DIRS})
if(!Boost_FOUND)
  find_package(Boost COMPONENTS filesystem system regex)
  if(Boost_FOUND)
    INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  endif(Boost_FOUND)
endif(!Boost_FOUND)
ADD_DEFINITIONS(-DPULSE_BACKEND=TRUE)

SET(PULSEPLUGIN_SOURCES PulsePlugin.cpp ../../IPlugin.cpp ../IAudioPlugin.cpp)

# liblightsparkpulseplugin.so target
ADD_LIBRARY(pulseplugin SHARED ${PULSEPLUGIN_SOURCES})
TARGET_LINK_LIBRARIES(pulseplugin spark) #Need to link some functions with the decoders
TARGET_LINK_LIBRARIES(pulseplugin ${PULSE_LIBS_LIBRARIES} ${Boost_LIBRARIES})
SET_TARGET_PROPERTIES(pulseplugin PROPERTIES OUTPUT_NAME lightsparkpulseplugin)
#SET_TARGET_PROPERTIES(pulseplugin PROPERTIES VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
#SET_TARGET_PROPERTIES(pulseplugin PROPERTIES SOVERSION "${MAJOR_VERSION}.${MINOR_VERSION}")

IF(UNIX)
	INSTALL(TARGETS pulseplugin LIBRARY DESTINATION ${PRIVATELIBDIR}/plugins)
ENDIF(UNIX)

=== debian/changelog ===
lightspark (0.4.7.1-1) experimental; urgency=low

  * New 0.4.7.1 upstream release. 
  * Refresh patches.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 10 May 2011 14:29:40 +0200

lightspark (0.4.6.1-2) experimental; urgency=low

  * Drop architecture restrictions by patching the buildsystem
    (all_arches.patch).
  * Rephrase descriptions to s/mozilla/browser/.

 -- Didier Raboud <odyx@debian.org>  Mon, 04 Apr 2011 15:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -28,13 +28,13 @@
   libsdl-dev,
   libxml++2.6-dev (>= 2.33.1),
   gnash-common
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://lightspark.sf.net
 Vcs-Git: git://git.debian.org/pkg-flash/lightspark.git
 Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git
 
 Package: lightspark
-Architecture: any-i386 any-amd64 powerpc armel
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash
 Description: High-performance SWF player (experimental)
@@ -42,7 +42,7 @@
  by using modern technologies such as JIT compilation and OpenGL shaders.
  .
  The project is currently in an alpha status and provides the standalone
- player and mozilla plugin for testing purposes only.
+ player and browser plugin for testing purposes only.
  .
  Nice features:
   * JIT compilation of ActionScript to native x86 bytecode
@@ -53,7 +53,7 @@
     released.
 
 Package: browser-plugin-lightspark
-Architecture: any-i386 any-amd64 powerpc armel
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash-common
 Description: High-performance SWF player - Mozilla Plugin (experimental)
@@ -61,7 +61,7 @@
  by using modern technologies such as JIT compilation and OpenGL shaders.
  .
  The project is currently in an alpha status and provides the standalone
- player and mozilla plugin for testing purposes only.
+ player and browser plugin for testing purposes only.
  .
  Nice features:
   * JIT compilation of ActionScript to native x86 bytecode
@@ -71,10 +71,10 @@
     hardware. Designed from scratch after the official Flash documentation was
     released.
  .
- This package contains the mozilla plugin.
+ This package contains the browser plugin.
 
 Package: lightspark-common
-Architecture: any-i386 any-amd64 powerpc armel
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
 Recommends: pulseaudio
 Description: High-performance SWF player - common data
@@ -97,7 +97,7 @@
 Package: lightspark-dbg
 Section: debug
 Priority: extra
-Architecture: any-i386 any-amd64 powerpc armel
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  lightspark (= ${binary:Version}) |
  browser-plugin-lightspark (= ${binary:Version}) |
@@ -107,7 +107,7 @@
  by using modern technologies such as JIT compilation and OpenGL shaders.
  .
  The project is currently in an alpha status and provides the standalone
- player and mozilla plugin for testing purposes only.
+ player and browser plugin for testing purposes only.
  .
  Nice features:
   * JIT compilation of ActionScript to native x86 bytecode

## lightspark 0.4.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #**************************************************************************
 #    Lightspark, a free flash player implementation
 #
+#    Copyright (C) 2010-2011  Alessandro Pignotti <a.pignotti@sssup.it>
 #    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
-#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
 #
 #    This program is free software: you can redistribute it and/or modify
 #    it under the terms of the GNU Lesser General Public License as published by
@@ -25,7 +25,7 @@
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
-SET(PATCH_VERSION "7")
+SET(PATCH_VERSION "8")
 SET(SUBPATCH_VERSION "1")
 
 IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
@@ -150,6 +150,7 @@
 INCLUDE(FindPCRE REQUIRED)
 INCLUDE(FindFTGL REQUIRED)
 INCLUDE(FindGLEW REQUIRED)
+INCLUDE(FindJPEG REQUIRED)
 IF(UNIX)
   INCLUDE(FindPkgConfig REQUIRED)
 	pkg_check_modules(XMLPP REQUIRED libxml++-2.6>=2.33.1)
@@ -183,7 +184,7 @@
 ENDIF(UNIX)
 
 IF(ENABLE_LIBAVCODEC)
-	pkg_check_modules(FFMPEG libavcodec libavutil)
+	pkg_check_modules(FFMPEG libavcodec libavutil libavformat)
 	IF(NOT(FFMPEG_FOUND))
 		INCLUDE(FindFFMpeg REQUIRED)
 	ENDIF(NOT(FFMPEG_FOUND))
@@ -215,6 +216,7 @@
 INCLUDE_DIRECTORIES(${PCRE_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${FTGL_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${XMLPP_INCLUDE_DIRS})
 INCLUDE_DIRECTORIES(${EXTRA_LIBS_INCLUDE_DIRS})
 
@@ -287,37 +289,23 @@
   #SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/objs/${CMAKE_SYSTEM_PROCESSOR}/${CMAKE_BUILD_TYPE}/lib${LIB_SUFFIX}" CACHE PATH "Static libraries output directory")
 ENDIF(CMAKE_COMPILER_IS_GNUCC)
 
-# liblightspark.so sources
-SET(LIBSPARK_SOURCES 
-  asobject.cpp
-  compat.cpp
-  frame.cpp
-  logger.cpp
-  swf.cpp
-  swftypes.cpp
-  thread_pool.cpp
-  threading.cpp
-  timer.cpp
-  backends/audio.cpp
-  backends/config.cpp
-  backends/decoder.cpp
-  backends/extscriptobject.cpp
-  backends/geometry.cpp
-  backends/graphics.cpp
-  backends/input.cpp
-  backends/netutils.cpp
-  backends/pluginmanager.cpp
-  backends/rendering.cpp
-  backends/rtmputils.cpp
-  backends/security.cpp
-  backends/urlutils.cpp
-  parsing/amf3_generator.cpp
-  parsing/amf3_parser.cpp
-  parsing/config.cpp
-  parsing/crossdomainpolicy.cpp
-  parsing/flv.cpp
-  parsing/streams.cpp
-  parsing/tags.cpp
-  parsing/tags_stub.cpp
-  parsing/textfile.cpp
-  scripting/abc.cpp
+#Install icons and desktop file
+if(UNIX)
+  FOREACH(i 16 20 22 24 32 36 48 64 72 96 128 192 256 )
+    INSTALL(FILES media/lightspark-ico-${i}x${i}.png
+            DESTINATION ${DATADIR}/icons/hicolor/${i}x${i}/apps
+            RENAME lightspark.png
+           )
+  ENDFOREACH(i)
+  INSTALL(FILES media/lightspark-ico.svg
+          DESTINATION ${DATADIR}/icons/hicolor/scalable/apps
+          RENAME lightspark.svg
+         )
+  INSTALL(FILES media/lightspark.desktop DESTINATION ${DATADIR}/applications )
+endif(UNIX)
+
+# generate locales for gettext
+GETTEXT_CREATE_TRANSLATIONS(i18n/lightspark.pot ALL i18n/pl.po i18n/fr.po
+        i18n/zh_CN.po)
+
+if(UNIX)

=== src/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010-2011  Alessandro Pignotti <a.pignotti@sssup.it>
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

# liblightspark.so sources
SET(LIBSPARK_SOURCES 
  asobject.cpp
  compat.cpp
  logger.cpp
  swf.cpp
  swftypes.cpp
  thread_pool.cpp
  threading.cpp
  timer.cpp
  backends/audio.cpp
  backends/builtindecoder.cpp
  backends/config.cpp
  backends/decoder.cpp
  backends/extscriptobject.cpp
  backends/geometry.cpp
  backends/graphics.cpp
  backends/image.cpp
  backends/input.cpp
  backends/netutils.cpp
  backends/pluginmanager.cpp
  backends/rendering.cpp
  backends/rtmputils.cpp
  backends/security.cpp
  backends/urlutils.cpp
  parsing/amf3_generator.cpp
  parsing/amf3_parser.cpp
  parsing/config.cpp
  parsing/crossdomainpolicy.cpp
  parsing/flv.cpp
  parsing/streams.cpp
  parsing/tags.cpp
  parsing/tags_stub.cpp
  parsing/textfile.cpp
  scripting/abc.cpp
  scripting/abc_codesynt.cpp
  scripting/abc_interpreter.cpp
  scripting/abc_opcodes.cpp
  scripting/actions.cpp
  scripting/class.cpp
  scripting/flashdisplay.cpp
  scripting/flashevents.cpp
  scripting/flashexternal.cpp
  scripting/flashgeom.cpp
  scripting/flashmedia.cpp
  scripting/flashnet.cpp
  scripting/flashsystem.cpp
  scripting/flashtext.cpp
  scripting/flashutils.cpp
  scripting/flashxml.cpp
  scripting/toplevel.cpp
  scripting/vm.cpp)
IF(${i386})
  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_x86.cpp)
  IF(CMAKE_COMPILER_IS_GNUCC)
    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_i686.asm)
  ELSE (CMAKE_COMPILER_IS_GNUCC)
    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_32vc.cpp)
  ENDIF(CMAKE_COMPILER_IS_GNUCC)
ELSEIF(${x86_64})
  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_x86.cpp)
  #Why is there a particular faspaths_32vc but none for 64 bit?
  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_amd64.asm)
ELSE()
  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/slowpaths_generic.cpp)
ENDIF(${i386})

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/src)

# liblightspark.so target
IF(CMAKE_COMPILER_IS_GNUCC)
  ADD_LIBRARY(spark SHARED ${LIBSPARK_SOURCES})
  SET_TARGET_PROPERTIES(spark PROPERTIES OUTPUT_NAME lightspark)
  SET_TARGET_PROPERTIES(spark PROPERTIES LINK_FLAGS "${LLVM_LDFLAGS} -Wl,--version-script=${PROJECT_SOURCE_DIR}/src/lightspark.expmap")
  SET_TARGET_PROPERTIES(spark PROPERTIES LINK_INTERFACE_LIBRARIES "")
ELSE (CMAKE_COMPILER_IS_GNUCC)
  ADD_LIBRARY(spark STATIC ${LIBSPARK_SOURCES})
ENDIF (CMAKE_COMPILER_IS_GNUCC)

TARGET_LINK_LIBRARIES(spark ${EXTRA_LIBS_LIBRARIES} ${ZLIB_LIBRARIES}
	${Boost_LIBRARIES} ${LLVM_LIBS_CORE} ${LLVM_LIBS_JIT} ${SDL_LIBRARY}
	${OPTIONAL_LIBRARIES} ${GTK_LIBRARIES} ${FREETYPE_LIBRARIES} ${JPEG_LIBRARIES}
	${OPENGL_LIBRARIES} ${FTGL_LIBRARIES} ${GLEW_LIBRARIES} ${PCRE_LIBRARIES}
	${Threads_LIBRARIES} ${XMLPP_LIBRARIES} ${CMAKE_DL_LIBS})
SET_TARGET_PROPERTIES(spark PROPERTIES VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
SET_TARGET_PROPERTIES(spark PROPERTIES SOVERSION "${MAJOR_VERSION}.${MINOR_VERSION}")

IF(UNIX)
  INSTALL(TARGETS spark LIBRARY DESTINATION ${PRIVATELIBDIR})
ENDIF(UNIX)

# lightspark executable target
IF(COMPILE_LIGHTSPARK)
  ADD_EXECUTABLE(lightspark main.cpp)
  TARGET_LINK_LIBRARIES(lightspark spark)
  TARGET_LINK_LIBRARIES(lightspark ${SDL_LIBRARY} ${Boost_LIBRARIES})

  IF(UNIX)
    INSTALL(FILES ${PROJECT_SOURCE_DIR}/src/lightspark.frag DESTINATION ${DATADIR}/lightspark)
    INSTALL(FILES ${PROJECT_SOURCE_DIR}/src/lightspark.vert DESTINATION ${DATADIR}/lightspark)
    INSTALL(FILES ${PROJECT_SOURCE_DIR}/src/lightspark-blitter.vert DESTINATION ${DATADIR}/lightspark)
    INSTALL(FILES ${PROJECT_SOURCE_DIR}/docs/man/lightspark.1 DESTINATION share/man/man1)
    INSTALL(TARGETS lightspark RUNTIME DESTINATION ${BINDIR})
  ENDIF(UNIX)
ENDIF(COMPILE_LIGHTSPARK)

# tightspark executable target
IF(COMPILE_TIGHTSPARK)
  ADD_EXECUTABLE(tightspark tightspark.cpp)
  TARGET_LINK_LIBRARIES(tightspark spark)
  TARGET_LINK_LIBRARIES(tightspark ${Boost_LIBRARIES})

  IF(UNIX)
    INSTALL(TARGETS tightspark RUNTIME DESTINATION ${BINDIR})
  ENDIF(UNIX)
ENDIF(COMPILE_TIGHTSPARK)

# Browser plugin
IF(COMPILE_PLUGIN)
  ADD_SUBDIRECTORY(plugin)
ENDIF(COMPILE_PLUGIN)

ADD_SUBDIRECTORY(backends/interfaces/audio/pulse)
#ADD_SUBDIRECTORY(backends/interfaces/audio/alsa)
#ADD_SUBDIRECTORY(backends/interfaces/audio/openal)

=== src/plugin/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010-2011  Alessandro Pignotti <a.pignotti@sssup.it>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

# Dependencies
INCLUDE_DIRECTORIES("include")
INCLUDE_DIRECTORIES("..")

pkg_check_modules(MOZ_PLUGIN REQUIRED nspr mozilla-plugin x11)
INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS} ${MOZ_PLUGIN_INCLUDE_DIRS})
ADD_DEFINITIONS(-DMOZ_X11 -DCOMPILE_PLUGIN)
IF(UNIX)
	ADD_DEFINITIONS(-DXP_UNIX)
ENDIF(UNIX)

# Firefox plugin target
ADD_LIBRARY(lightsparkplugin SHARED np_entry.cpp npn_gate.cpp npp_gate.cpp
	plugin.cpp npscriptobject.cpp)
TARGET_LINK_LIBRARIES(lightsparkplugin spark ${MOZ_PLUGIN_LIBRARIES} ${GTK_LIBRARIES})

IF(UNIX)
	INSTALL(TARGETS lightsparkplugin LIBRARY DESTINATION ${PLUGIN_DIRECTORY})
ENDIF(UNIX)

=== src/backends/interfaces/audio/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010-2011  Alessandro Pignotti <a.pignotti@sssup.it>
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alexandre Demers <papouta@hotmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

include_directories(".")
INCLUDE_DIRECTORIES("..")

IF(${AUDIO_BACKEND} MATCHES "pulse")
    add_subdirectory(pulse)
ENDIF(${AUDIO_BACKEND} MATCHES "pulse")
IF(${AUDIO_BACKEND} MATCHES "alsa")
    add_subdirectory(alsa)
ENDIF(${AUDIO_BACKEND} MATCHES "alsa")
IF(${AUDIO_BACKEND} MATCHES "openal")
    add_subdirectory(openal)
ENDIF(${AUDIO_BACKEND} MATCHES "openal")

=== debian/changelog ===
lightspark (0.4.8.1-1ubuntu2) oneiric; urgency=low

  * Build depend on libjpeg62-dev, fixes FTBFS.

 -- Jani Monoses <jani@ubuntu.com>  Fri, 17 Jun 2011 17:38:00 +0300

lightspark (0.4.8.1-1ubuntu1) oneiric; urgency=low

  * Switch xulrunner-dev build-dep to firefox-dev
    (see https://blueprints.launchpad.net/ubuntu/+spec/
           desktop-o-mozilla-rapid-release-maintenance and
     https://lists.ubuntu.com/archives/ubuntu-devel/2011-May/033229.html)
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 13 Jun 2011 15:25:13 -0700

lightspark (0.4.8.1-1) experimental; urgency=low

  * New 0.4.8.1 upstream release.

 -- Didier Raboud <odyx@debian.org>  Fri, 27 May 2011 14:44:45 +0200

lightspark (0.4.8~rc1-1) experimental; urgency=low

  * 0.4.8 first Release Candidate:
    - Add libavformat-dev Build-Dependency.
  * Update debian/watch.

 -- Didier Raboud <odyx@debian.org>  Tue, 24 May 2011 15:28:40 +0200

lightspark (0.4.7.1-2) experimental; urgency=low

  * Brown-paper bag upload: previous one went to unstable by mistake: upload
    to experimental for real now.

 -- Didier Raboud <odyx@debian.org>  Tue, 10 May 2011 16:41:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lightspark
 Section: utils
 Priority: optional
-Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
   cmake,
@@ -22,10 +23,12 @@
   libboost-regex-dev,
   libpulse-dev,
   libavcodec-dev,
+  libavformat-dev,
   libgtk2.0-dev,
   libnspr4-dev,
-  xulrunner-dev (>= 1.9.2),
+  firefox-dev,
   libsdl-dev,
+  libjpeg62-dev,
   libxml++2.6-dev (>= 2.33.1),
   gnash-common
 Standards-Version: 3.9.2
